#
#  makefile for Notes API sample program addin
#                Linux RedHat  
#
#

# set TARGET to the name of the executable to create
TARGET = aclhelp

# set SOURCES to the list of C source files in this program
SOURCES = aclhelp.c getdblist.c wildcard.c

# set HEADERS to the list of C include files in this program
HEADERS = aclhelp.h getdblist.h wildcard.h

# set OBJECTS to the list of object files that must be linked
OBJECTS = aclhelp.o getdblist.o wildcard.o

# Link this program with the bootstrap code notes0.o because
# this program is structured as a NotesMain.
BOOTOBJS = $(LOTUS)/notesapi/lib/linux/notes0.o $(LOTUS)/notesapi/lib/linux/notesai0.o

# CC defines the compiler.  
CC = g++

# Set CCOPTS - the compiler options.
CCOPTS = -c -m486
# You may use -g flag for debugging:
#CCOPTS = -c -m486 -g

# set NOTESDIR to specify where to search for the Notes library file
NOTESDIR = $(Notes_ExecDirectory) 

# Set LINKOPTS - the linker options passed to CC when linking.
# -o $(TARGET) causes compiler to create target rather than a.out
LINKOPTS = -o $(TARGET) 

# Notes API header files require UNIX to be defined.
DEFINES =  -DUNIX -DLINUX -DHANDLE_IS_32BITS  

# set INCDIR to specify where to search for include files
INCDIR = $(LOTUS)/notesapi/include

# set LIBS to list all the libraries ld should link with.
LIBS = -lnotes -lm -lnsl -lc -ldl -lpthread -lresolv

# the executable depends on the objects.
$(TARGET): $(OBJECTS)
	$(CC) $(LINKOPTS) $(OBJECTS) $(BOOTOBJS) -L$(NOTESDIR) $(LIBS)

# the object files depend on the corresponding source files
.c.o:
	$(CC) $(CCOPTS) $(DEFINES) -I$(INCDIR) $(SOURCES)
