#
#  makefile for Notes API sample program intro
#                 Solaris 2 SPARC Edition
#
#

# set TARGET to the name of the executable to create
TARGET = aclhelp

# set SOURCES to the list of C source files in this program
#SOURCES = $(TARGET).c getdblist.c wildcard.c
SOURCES = getdblist.c

# set HEADERS to the list of C include files in this program
HEADERS = $(TARGET).h getdblist.h wildcard.h

# set OBJECTS to the list of object files that must be linked
OBJECTS = $(TARGET).o getdblist.o wildcard.o

# Link this program with the bootstrap code notes0.o because
# this program is structured as a NotesMain.
BOOTOBJS = $(LOTUS)/notesapi/lib/sol_2x/notes0.o $(LOTUS)/notesapi/lib/sol_2x/notesai0.o

# CC defines the compiler. Set to "cc" 
#CC = cc
CC=/opt/SUNWspro/WS6U1/bin/cc

# Set CCOPTS - the compiler options.
CCOPTS = -c
# You may use -g flag for debugging:
#CCOPTS = -c -g

# set NOTESDIR to specify where to search for the Notes library file
NOTESDIR = $(Notes_ExecDirectory)

# Set LINKOPTS - the linker options passed to CC when linking.
# -o $(TARGET) causes compiler to create target rather than a.out
LINKOPTS = -o $(TARGET) -xcg89 -R $(NOTESDIR)

# Notes API header files require UNIX to be defined.
DEFINES = -DUNIX -DSOLARIS

# set INCDIR to specify where to search for include files
INCDIR = -I$(LOTUS)/notesapi/include -I/usr/include

# set LIBS to list all the libraries ld should link with.
LIBS = -lnotes -lm -lnsl -lsocket -lposix4

# the executable depends on the objects.
$(TARGET): $(OBJECTS)
	$(CC) $(LINKOPTS) $(OBJECTS) $(BOOTOBJS) -L$(NOTESDIR) $(LIBS)

# the object files depend on the corresponding source files
$(TARGET).o:
	$(CC) $(CCOPTS) $(DEFINES) $(INCDIR) $(SOURCES)
	
